GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

          • Get user information
          • Modify user information
          • Bind email
          • Unbind email
          • Bind phone number
          • Unbind phone number
          • Get password strength and account security rating
          • Change password
          • Initiate verification request to change email
          • Change email
          • Initiate verification request to change mobile phone number
          • Change mobile phone number
          • Initiate forgotten password request
          • Forgot password
          • Initiate account cancellation request
          • Cancel account
        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

        • Others

        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. User information

  10. /
  11. Initiate verification request to change email

¶ Initiate a verification request to modify the mailbox

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When the end user modifies the mailbox on his own, the corresponding verification method needs to be provided. This interface is used to verify that the user's request to modify the mailbox is No legal. Currently, verification is supported by Email verification code. You need to call the send email interface to send the corresponding email verification code first.

¶ Method Name

AuthenticationClient.verifyUpdateEmailRequest

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
emailPassCodePayloadUpdateEmailByEmailPassCodeDtoYes-Data verified using the email verification code
verifyMethodstringYes-Modify the verification method used by the current email:
- EMAIL_PASSCODE: Verify using the email verification code. Currently, only this verification method is supported.
EMAIL_PASSCODE

¶ Sample Code

package test.authentication;

import cn.authing.sdk.java.client.AuthenticationClient;
import cn.authing.sdk.java.dto.UpdateEmailByEmailPassCodeDto;
import cn.authing.sdk.java.dto.VerifyUpdateEmailRequestDto;
import cn.authing.sdk.java.dto.VerifyUpdateEmailRequestRespDto;
import cn.authing.sdk.java.model.AuthenticationClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class VerifyUpdateEmailRequestTest {
    // Need to be replaced with your GenAuth App ID
    private static final String APP_ID = "AUTHING_APP_ID";
    // Need to be replaced with your GenAuth App Secret
    private static final String APP_SECRET = "AUTHING_APP_SECRET";
    // Need to be replaced with your GenAuth App Host
    private static final String APP_HOST = "AUTHING_APP_HOST";
    // Need to be replaced with your GenAuth Access Token
    private static final String ACCESS_TOKEN = "AUTHING_ACCESS_TOKEN";

    public static void main(String[] args) throws Throwable {
        AuthenticationClientOptions clientOptions = new AuthenticationClientOptions();
        clientOptions.setAppId(APP_ID);
        clientOptions.setAppSecret(APP_SECRET);
        clientOptions.setAppHost(APP_HOST);
        clientOptions.setAccessToken(ACCESS_TOKEN);

        AuthenticationClient client = new AuthenticationClient(clientOptions);

        VerifyUpdateEmailRequestDto reqDto = new VerifyUpdateEmailRequestDto();
        reqDto.setVerifyMethod(VerifyUpdateEmailRequestDto.VerifyMethod.EMAIL_PASSCODE);
        UpdateEmailByEmailPassCodeDto passCodeDto = new UpdateEmailByEmailPassCodeDto();
        passCodeDto.setNewEmail("123@qq.com");
        passCodeDto.setNewEmailPassCode("123");
        reqDto.setEmailPassCodePayload(passCodeDto);
        VerifyUpdateEmailRequestRespDto response = client.verifyUpdateEmailRequest(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: VerifyUpdateEmailRequestRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which you can get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataVerifyUpdateEmailRequestDataResponse Data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "tokenExpiresIn": 60
  }
}

¶ Data Structure

¶ UpdateEmailByEmailPassCodeDto

NameType
Is it required
Description
Example Value
newEmailstringYesNew emailnew@example.com
newEmailPassCodestringYesNew email verification code123456
oldEmailstringNoOld email. If the user pool has enabled the previous email to be verified when changing the email, this parameter is required.old@example.com
oldEmailPassCodestringNoOld email verification code. If the user pool has enabled the previous email to be verified when changing the email, this parameter is required.123456

¶ VerifyUpdateEmailRequestData

NameType
Is it required
Description
Example Value
updateEmailTokenstringYesToken used to modify the current mailbox. You need to use this token to call the Modify Mailbox interface.
tokenExpiresInnumberYesToken validity period, the time is 60 seconds.60
Previous article: Change password Next article: Change email
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.